SSS_USERADD(8)

NAME
sss_useradd - crea un nou usuari

SYNOPSIS

sss_useradd [OPCIONS] USUARI

DESCRIPCIÓ

sss_useradd crea un nou compte d'usuari amb els valors que s'especifiquen en la línia d'ordres més els valors per defecte del sistema.

OPCIONS

-u,--uid UID
    Estableix l'UID de l'usuari al valor de l'UID. Si no se'n proporciona cap, es tria automàticament.

-c,--gecos COMMENTARI
    Qualsevol cadena de text amb la descripció de l'usuari. Sovint s'utilitza com a camp per al nom complet de l'usuari.

-h,--home DIRECTORI_INICIAL
    El directori inicial del compte de l'usuari. Per defecte s'afegeix l'USUARI a /home i s'utilitza aquest com el directori inicial. La base que s'afegeix abans de l'USUARI es pot personalitzar amb l'ajust “user_defaults/baseDirectory” a l'sssd.conf.

-s,--shell SHELL
    El shell d'inici de sessió de l'usuari. Per defecte és /bin/bash. Es pot canviar el valor per defecte amb l'ajust “user_defaults/defaultShell” de l'sssd.conf.

-G,--groups GRUPS
    Una llista dels grups existents que aquest usuari també n'és membre.

-m,--create-home
    Crea el directori inicial de l'usuari si no existeix. Al directori inicial es copiaran els fitxers i els directoris continguts al directori esquemàtic (que es pot definir amb l'opció -k o al fitxer de configuració).

-M,--no-create-home
    No crea el directori inicial de l'usuari. Substitueix els ajusts de la configuració.

-k,--skel DIRECTORI_ESQUEMÀTIC
    El directori esquemàtic que conté els fitxers i els directoris per copiar al directori inicial de l'usuari, quan es crea el directori inicial amb sss_useradd.

    No es copiaran els fitxers especials (dispositius de blocs, dispositius de caràcters, canonades amb noms i sòcols d'UNIX).

    Aquesta opció tan sols és vàlida si s'especifica l'opció -m (o --create-home), o bé la creació dels directoris inicials està establerta a TRUE a la configuració.

-Z,--selinux-user SELINUX_USER
    L'usuari de SELinux per a l'inici de sessió de l'usuari. Si no s'especifica, s'utilitzarà el predeterminat del sistema.

-?,--help
    Mostra el missatge d'ajuda i surt.

EL DOMINI LOCAL

Per a un funcionament correcte, s'ha de crear un domini amb “id_provider=local” i l'SSSD ha d'estar en execució.

L'administrador pot ser que vulgui utilitzar els usuaris locals de l'SSSD en lloc dels usuaris tradicionals d'UNIX en els casos en què es requereixi la imbricació dels grups (vegeu sss_groupadd(8)). Els usuaris locals també són útils per provar i desplegar l'SSSD sense haver de desplegar tot un servidor remot. Les eines sss_user* i sss_group* utilitzen l'emmagatzematge LDB local per emmagatzemar els usuaris i els grups.

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/